package com.zcloud.fire.check.api;

import com.alibaba.cola.dto.PageResponse;
import com.alibaba.cola.dto.SingleResponse;
import com.zcloud.fire.check.dto.FireCheckRecordDeviceAddCmd;
import com.zcloud.fire.check.dto.FireCheckRecordDevicePageQry;
import com.zcloud.fire.check.dto.FireCheckRecordDeviceUpdateCmd;
import com.zcloud.fire.check.dto.clientobject.FireCheckRecordDeviceCO;

/**
 * web-client
 *
 * @Author zhaokai
 * @Date 2025-12-12 11:10:03
 */
public interface FireCheckRecordDeviceServiceI {
    PageResponse<FireCheckRecordDeviceCO> listPage(FireCheckRecordDevicePageQry qry);

    SingleResponse<FireCheckRecordDeviceCO> add(FireCheckRecordDeviceAddCmd cmd);

    void edit(FireCheckRecordDeviceUpdateCmd cmd);

    void remove(Long id);

    void removeBatch(Long[] ids);
}

